Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.renderer
Class NoPropertyDescriptorFoundExeption

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecp.ui.view.ECPRendererException
                  org.eclipse.emf.ecp.view.spi.renderer.NoPropertyDescriptorFoundExeption

All Implemented Interfaces:
  Serializable

    public class NoPropertyDescriptorFoundExeption

extends ECPRendererException

Exception indicating, that an `ItemPropertyDescriptor` could not be found for an `EObject` and its `EStructuralFeature`.

Since:
  1.2
Author:
  Eugen Neufeld
See Also:
  Serialized Form

Constructor Summary
`NoPropertyDescriptorFoundExeption(org.eclipse.emf.ecore.EObject modelElement, org.eclipse.emf.ecore.EStructuralFeature targetFeature)` Constructor for an `Exception` which indicates, that no `ItemPropertyDescriptor` was found.

Method Summary
`org.eclipse.emf.ecore.EObject` | `getModelElement()` The `EObject` which has a missing `ItemPropertyDescriptor`.
`org.eclipse.emf.ecore.EStructuralFeature` | `getTargetFeature()` The `EStructuralFeature` which misses a `ItemPropertyDescriptor`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPropertyDescriptorFoundExeption

    public NoPropertyDescriptorFoundExeption(org.eclipse.emf.ecore.EObject modelElement,
                                             org.eclipse.emf.ecore.EStructuralFeature targetFeature)

  Constructor for an `Exception` which indicates, that no `ItemPropertyDescriptor` was found.

  Parameters:
    `modelElement` - the `EObject` the `ItemPropertyDescriptor` was not found for
    `targetFeature` - the `EStructuralFeature` the `ItemPropertyDescriptor` was not found for

Method Detail

### getModelElement

    public org.eclipse.emf.ecore.EObject getModelElement()

  The `EObject` which has a missing `ItemPropertyDescriptor`.

  Returns:
    the `EObject`

### getTargetFeature

    public org.eclipse.emf.ecore.EStructuralFeature getTargetFeature()

  The `EStructuralFeature` which misses a `ItemPropertyDescriptor`.

  Returns:
    the `EStructuralFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.